Bug 1056908 - (CVE-2013-6481) CVE-2013-6481 pidgin: DoS caused due to OOB read in Yahoo protocol plugin
CVE-2013-6481 pidgin: DoS caused due to OOB read in Yahoo protocol plugin
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140128,repor...
: Security
Depends On: 1058238 1058239 1058240 1058242 1058243 1059049
Blocks: 1054257
  Show dependency treegraph
 
Reported: 2014-01-23 02:01 EST by Huzaifa S. Sidhpurwala
Modified: 2015-11-24 10:40 EST (History)
7 users (show)

See Also:
Fixed In Version: pidgin 2.10.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 16:05:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local copy of the patch (2.61 KB, patch)
2014-01-27 01:10 EST, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2014-01-23 02:01:29 EST
The Yahoo! protocol plugin of pidgin failed to validate a length field before trying to read from a buffer, which could result in reading past the end of the buffer which could cause a crash. 


Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting this issue. Upstream acknowledges Daniel Atallah as the original reporter of this issue.
Comment 1 Huzaifa S. Sidhpurwala 2014-01-27 01:10:49 EST
Created attachment 855921 [details]
Local copy of the patch
Comment 3 Vincent Danen 2014-01-28 15:56:01 EST
External References:

http://pidgin.im/news/security/?id=74
Comment 4 Huzaifa S. Sidhpurwala 2014-01-28 23:23:02 EST
Created pidgin tracking bugs for this issue:

Affects: fedora-all [bug 1059049]
Comment 5 errata-xmlrpc 2014-02-05 12:44:29 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0139 https://rhn.redhat.com/errata/RHSA-2014-0139.html
Comment 6 Fedora Update System 2014-02-05 22:49:36 EST
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-02-14 02:59:11 EST
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.